#
# spec file for package python-pyRFC3339
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Name:           python-pyRFC3339
Version:        1.0
Release:        3.1
Summary:        Generate and parse RFC 3339 timestamps
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/kurtraschke/pyRFC3339
Source:         https://pypi.python.org/packages/source/p/pyRFC3339/pyRFC3339-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-pytz
BuildRequires:  python-setuptools
Requires:       python-pytz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pyRFC3339 parses and generates :RFC:`3339`-compliant timestamps using Python `datetime.datetime` objects.

%prep
%setup -q -n pyRFC3339-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu Dec 17 2015 jweberhofer@weberhofer.at
- Reviewed and reformatted spec
* Wed Nov 11 2015 t.gruner@katodev.de
- Update to version 1.0
* Thu Aug 13 2015 ecsos@schirra.net
- insert url in spec
* Thu Jun 11 2015 t.gruner@katodev.de
- Initial Release 0.2
